import { FastifyInstance } from 'fastify';
import * as controller from './rooms.controller';

async function roomRoutes(fastify: FastifyInstance) {
    fastify.post('/rooms', controller.createRoom);
    fastify.get('/rooms', controller.getRooms);
    fastify.get('/rooms/:id', controller.getRoom);
    fastify.delete('/rooms/:id', controller.deleteRoom);
}

export default roomRoutes;